rte_ml_buff_seg(3)

NAME
rte_ml_buff_seg

SYNOPSIS

#include <rte_mldev.h>

  Data Fields

rte_iova_t iova_addr
void * addr
uint32_t length
uint32_t reserved
struct rte_ml_buff_seg * next

Detailed Description

ML operation's input and output buffer representation as scatter gather list

Definition at line 418 of file rte_mldev.h.

Field Documentation

  rte_iova_t iova_addr
IOVA address of segment buffer.

Definition at line 419 of file rte_mldev.h.

  void* addr
Virtual address of segment buffer.

Definition at line 421 of file rte_mldev.h.

  uint32_t length
Segment length.

Definition at line 423 of file rte_mldev.h.

  uint32_t reserved
Reserved for future use.

Definition at line 425 of file rte_mldev.h.

  struct rte_ml_buff_seg* next
Points to next segment. Value NULL represents the last segment.

Definition at line 427 of file rte_mldev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.